/*
 * demo.c -- Kleine Demonstration des String2XmString-Konverters.
 *
 * (c) 1994 Harald Albrecht, albrecht@igpm.rwth-aachen.de
 */

#include <Xm/Xm.h>
#include <Xm/Label.h>
#include <Xm/PushB.h>
#include <Xm/RowColumn.h>

extern void XmRegisterNewXmStringConverter(XtCacheType CacheType);

void ExitCB(Widget w, XtPointer pClientData, XtPointer pCallData)
{
    exit(0);
} /* ExitCB */

int main(Cardinal argc, char **argv)
{
    static char  *Fallback[] = {
        "*.background: Gray75", 
        "*.fontList: "
         "-*-helvetica-medium-r-normal-*-*-140-*-*-*-*-iso8859-1,"
         "-*-helvetica-bold-r-normal-*-*-140-*-*-*-*-iso8859-1=BOLD,"
         "-*-helvetica-medium-o-normal-*-*-140-*-*-*-*-iso8859-1=ITALIC,"
         "-*-helvetica-bold-o-normal-*-*-140-*-*-*-*-iso8859-1=BOLDITALIC,"
         "-*-courier-bold-r-normal-*-*-120-*-*-*-*-iso8859-1=TYPEWRITER",
        "*.quit.labelString: {BOLDITALIC   Ende!  }",
        "*.text.labelString: {* Das }{BOLDITALIC iX}"
         "{* -Magazin pr\344sentiert:\\n\\n}"
         "{ITALIC Der neue }"
         "{BOLDITALIC String-nach-XmString}"
         "{ITALIC -Konverter!\\n\\n}"
         "{* Unterst\374tzt unterschiedliche Fonts in XmStrings,  \\n"
         "sowie den Wechsel der }{<ITALIC Schriftrichtung}.",
        NULL};
    XtAppContext AppCtx;
    XEvent       NextEvent;
    Widget       TopLevel, w, RowCol;

    TopLevel = XtVaAppInitialize(&AppCtx, "XDemo", NULL, 0, 
                                 &argc, argv, Fallback, NULL);
    XmRegisterNewXmStringConverter(XtCacheNone | XtCacheRefCount);

    RowCol = XtVaCreateManagedWidget(
	"RowCol", xmRowColumnWidgetClass, TopLevel, 
	XmNorientation, XmHORIZONTAL,
        NULL);

    w = XmCreateLabel(RowCol, "text", NULL, 0);
    XtManageChild(w);
    w = XmCreatePushButton(RowCol, "quit", NULL, 0);
    XtAddCallback(w, XmNactivateCallback, 
                  (XtCallbackProc) ExitCB, NULL);
    XtManageChild(w);
    /*
     * Realize the whole widget tree.
     */
    XtRealizeWidget(TopLevel);
    XtAppMainLoop(AppCtx);
    return 0;   
} /* main */
    
/* End of demo.c */
